View Issue Details

IDProjectCategoryView StatusLast Update
0003085GNUnetGNSpublic2020-01-14 16:49
ReporterChristian GrothoffAssigned Toschanzen 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target VersionFixed in Version0.12.0 
Summary0003085: Additional testcases for GNS are desired
DescriptionCurrently, we do not have tests for:
- Proxy
- VPN
- SOA
- SRV
TagsNo tags attached.

Activities

schanzen

2015-09-14 18:21

manager   ~0009625

Make this a beginner / SoC bug?

Christian Grothoff

2015-09-14 18:24

manager   ~0009626

I think in terms of motivation, testcases are always terrible (thus bad for beginners), and they do require good understanding of what you're trying to test, hence also not so suitable. But it's perfect for you ;-)

schanzen

2019-12-20 13:25

manager   ~0015201

We have tests for all of those.

Issue History

Date Modified Username Field Change
2013-10-23 12:57 Christian Grothoff New Issue
2013-10-23 12:57 Christian Grothoff Status new => assigned
2013-10-23 12:57 Christian Grothoff Assigned To => schanzen
2014-02-09 19:50 Christian Grothoff Target Version 0.11.0pre66 =>
2014-04-11 15:11 Christian Grothoff Priority normal => low
2015-09-14 18:21 schanzen Note Added: 0009625
2015-09-14 18:21 schanzen Assigned To schanzen =>
2015-09-14 18:24 Christian Grothoff Note Added: 0009626
2018-06-07 01:21 Christian Grothoff Status assigned => confirmed
2019-12-20 13:25 schanzen Assigned To => schanzen
2019-12-20 13:25 schanzen Status confirmed => resolved
2019-12-20 13:25 schanzen Resolution open => fixed
2019-12-20 13:25 schanzen Fixed in Version => 0.12.1
2019-12-20 13:25 schanzen Note Added: 0015201
2020-01-14 16:49 schanzen Status resolved => closed
2020-01-14 16:49 schanzen Fixed in Version 0.12.1 => 0.12.0